services:
  high-orbit-hu:
    image: ghcr.io/kukkacc1/high-orbit-hu:latest
    restart: unless-stopped
    volumes:
      - ./approvals.json:/app/approvals.json
      - ./comments.json:/app/comments.json
      - ./source:/app/source:ro
      - ./output/cards:/app/output/cards:ro
      - ./output/corps:/app/output/corps:ro
      - ./translations:/app/translations
    networks:
      - traefik-net
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.high-orbit-hu.rule=Host(`high-orbit-hu.radnaiapp.com`)"
      - "traefik.http.routers.high-orbit-hu.entrypoints=websecure"
      - "traefik.http.routers.high-orbit-hu.tls.certresolver=cloudflare"
      - "traefik.http.services.high-orbit-hu.loadbalancer.server.port=8765"

networks:
  traefik-net:
    external: true
